GET
/
whoami
Test the connection
curl --request GET \
  --url https://api.tigergate.dev/api/v1/compliance/whoami \
  --header 'Authorization: Bearer <token>'
{
  "organization": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "region": "<string>"
  },
  "api_base_url": "<string>",
  "key": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "prefix": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z"
  },
  "products": [
    {
      "label": "<string>",
      "granted": true,
      "entitled": true,
      "available": true,
      "readable": true,
      "reason": "<string>",
      "has_controls": true,
      "finding_types": [
        "<string>"
      ],
      "excluded_finding_types": [
        "<string>"
      ],
      "resources": {
        "count": 123,
        "stale": 123
      },
      "tombstone_horizon_days": 123
    }
  ],
  "users": {
    "granted": true
  },
  "rate_limit": {
    "requests_per_minute": 123
  },
  "sla_policy": {
    "critical": 123,
    "high": 123,
    "medium": 123,
    "low": 123
  }
}

Authorizations

Authorization
string
header
required

A Compliance API key: Authorization: Bearer tgcmp_....

Response

The key and its effective scope.

organization
object
api_base_url
string

The base URL this key must be used against.

key
object
products
object[]
users
object
rate_limit
object
sla_policy
object